package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.GiftBoxCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.GiftBoxDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.GiftBoxUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.GiftBoxListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.GiftBoxPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.GiftBoxShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.GiftBoxVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface GiftBoxServiceI {
	GiftBoxVO create(GiftBoxCreateCmd giftBoxCreateCmd);

	PageDTO<GiftBoxVO> page(GiftBoxPageQry giftBoxPageQry);

	List<GiftBoxVO> list(GiftBoxListQry giftBoxListQry);

	GiftBoxVO update(GiftBoxUpdateCmd giftBoxUpdateCmd);

	GiftBoxVO show(GiftBoxShowQry giftBoxShowQry);

	void destroy(GiftBoxDestroyCmd giftBoxDestroyCmd);
}

